# Dynamic_ParameterC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Any.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/ParameterModeC.h"`

Include dependency graph for Dynamic_ParameterC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Dynamic
namespace | TAO

## Classes

struct | Dynamic::Parameter

## Defines

#define | TAO_EXPORT_MACRO TAO_Export

## Typedefs

typedef TAO_Var_Var_T< Parameter > | Parameter_var
typedef TAO_Out_T< Parameter, Parameter_var > | Parameter_out

## Functions

TAO_Export void | operator<<= (CORBA::Any &, const Dynamic::Parameter &)
TAO_Export void | operator<<= (CORBA::Any &, Dynamic::Parameter *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Dynamic::Parameter *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Dynamic::Parameter *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::Parameter &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::Parameter &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Out_T< Parameter, Parameter_var > Dynamic::Parameter_out

typedef TAO_Var_Var_T< Parameter > Dynamic::Parameter_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Dynamic::Parameter & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | Dynamic::Parameter * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const Dynamic::Parameter & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Dynamic::Parameter & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const Dynamic::Parameter *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | Dynamic::Parameter *& |
| ) |